Bug 415901 - init[1]: segfault at 0000000000000010 rip 00002aaaab0f8e84 rsp 00007fff80de44b8 error 4 at boot
init[1]: segfault at 0000000000000010 rip 00002aaaab0f8e84 rsp 00007fff80de44...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-07 13:03 EST by galerien
Modified: 2009-01-09 02:30 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:30:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description galerien 2007-12-07 13:03:34 EST
Description of problem:
After new install Fedora 8, on reboot, unable to boot with segfault. Rescue mode
permit boot.

Upgrade kernel don't solve problem 

Version-Release number of selected component (if applicable):
vmlinuz-2.6.23.1-42.fc8
vmlinuz-2.6.23.8-63.fc8

How reproducible:


Steps to Reproduce:
1. Install Fedora 8 on computer with Raid defined
2. After install, boot
3.
  
Actual results:
init[1]: segfault at 0000000000000010 rip 00002aaaab0f8e84 rsp 00007fff80de44b8
error 4.

Expected results:


Additional info:
Comment 1 Chuck Ebbert 2007-12-07 13:38:53 EST

*** This bug has been marked as a duplicate of 398281 ***
Comment 2 galerien 2007-12-08 06:01:44 EST
I have try to rewrite initrd but no change.

Vmlinuz Execution is correct.
Problem is when kernel try to execute initrd => Obtain error messge.

Computer Configuration :
Motherboard Tyan S2895
Ram 6Go
3 SATA Disk
4 Scsi Disk

I have install fedora 8 on 1st Sata Disk part 3.

Boot Sata Disk:
/dev/mapper/nvidia_ajajcgcb: x86 boot sector; partition 2: ID=0x7, starthead 6,
startsector 311291904, 311218176 sectors; partition 3: ID=0x83, starthead 0,
startsector 622518750, 102398310 sectors; partition 4: ID=0xf, starthead 19,
startsector 724918272, 251852800 sectors

First patition is Windows XP
Second partition is Fedora 8
Third partition is Vista ultimate 64b on extended part

With FC7, no problem.

Comment 3 galerien 2007-12-08 06:55:23 EST
bash-3.2# blkid
/dev/mapper/nvidia_ajajcgcbp5: UUID="6EE6F169E6F131C7" LABEL="temporaire"
TYPE="ntfs" 
/dev/mapper/nvidia_ajajcgcbp2: UUID="82C44D2AC44D21B1" LABEL="Windows Vista"
TYPE="ntfs" 
/dev/mapper/nvidia_ajajcgcbp3: LABEL="/12"
UUID="4c77043b-999d-4d9c-aea1-b3f8d48a2d13" SEC_TYPE="ext2" TYPE="ext3" 
/dev/mapper/nvidia_ajajcgcbp1: UUID="92A4EEE0A4EEC637" LABEL="Windows XP"
TYPE="ntfs" 
/dev/loop0: TYPE="squashfs" 
/dev/sda1: UUID="B4DA7F6FDA7F2D2C" LABEL="VmWare" TYPE="ntfs" 
/dev/sda2: TYPE="swap" LABEL="SWAP-sda2"
UUID="7a6e54c7-fbac-40ac-8e7c-d579b6e86f43" 
/dev/sdb1: UUID="30A4BFB6A4BF7CC2" LABEL="Stockage Musique" TYPE="ntfs" 
/dev/sdc1: UUID="A0D8F534D8F508F4" LABEL="Download" TYPE="ntfs" 
/dev/sdc5: UUID="2E500A41500A106F" LABEL="Jeux" TYPE="ntfs" 
/dev/sdd1: UUID="D2C42C6FC42C584D" LABEL="Projet" TYPE="ntfs" 
/dev/sdf1: UUID="42C840C0C840B3C7" LABEL="Os - Old Windows XP" TYPE="ntfs" 
/dev/sdf2: UUID="7CB8AE99B8AE5206" LABEL="Stockage App - Divers" TYPE="ntfs" 
/dev/sdf5: LABEL="/" UUID="c9cab3fb-57d2-4604-8532-3b087b3337d7" SEC_TYPE="ext2"
TYPE="ext3" 
/dev/sdg1: UUID="D2C02AA8C02A9331" LABEL="Stockage Jeux - Vid�o" TYPE="ntfs" 
Comment 4 galerien 2007-12-09 14:19:31 EST
At boot, i see that :
...
Device mapper: Table: 253:0: linear: dm-linear: Device lookup failed
Device mapper: reload ioctl failed: Invalid argument
Trying to resume from LABEL=SWAP-sda2
No suspend signature on swap, not resuming
Creating Root device
Mounting root filesystem

Many init[1]: segfault at 0000000000000010 rip 00002aaaab0f8e84 rsp 00007fff80de44b8
error 4.

Init file used :
echo "Loading sd_mod.ko module"
insmod /lib/sd_mod.ko 
echo "Loading libata.ko module"
insmod /lib/libata.ko 
echo "Loading ata_generic.ko module"
insmod /lib/ata_generic.ko 
echo "Loading sata_nv.ko module"
insmod /lib/sata_nv.ko 
echo Waiting for driver initialization.
stabilized --hash --interval 250 /proc/scsi/scsi
echo "Loading scsi_transport_spi.ko module"
insmod /lib/scsi_transport_spi.ko 
echo "Loading aic7xxx.ko module"
insmod /lib/aic7xxx.ko 
echo "Loading pata_amd.ko module"
insmod /lib/pata_amd.ko 
echo Waiting for driver initialization.
stabilized --hash --interval 250 /proc/scsi/scsi
echo "Loading dm-mod.ko module"
insmod /lib/dm-mod.ko 
echo "Loading dm-mirror.ko module"
insmod /lib/dm-mirror.ko 
echo "Loading dm-zero.ko module"
insmod /lib/dm-zero.ko 
echo "Loading dm-snapshot.ko module"
insmod /lib/dm-snapshot.ko 
insmod /lib/scsi_wait_scan.ko
rmmod scsi_wait_scan
mkblkdevs
rmparts sde
dm create nvidia_ajajcgcb 0 976773166 linear 8:64 0
dm partadd nvidia_ajajcgcb
resume LABEL=SWAP-sda2
echo Creating root device.
sleep 90
mkrootdev -t ext3 -o defaults,ro LABEL=/
echo Mounting root filesystem.
sleep 90
mount /sysroot
echo Setting up other filesystems.
sleep 90
setuproot
echo Switching to new root and running init.
sleep 90
switchroot
echo Booting has failed.
sleep -1
Comment 5 galerien 2007-12-09 16:24:01 EST
if i modify mkinitrd to create an dm list before dm create, i obtain
automatically the init[1] segfault.

If i boot in rescue mode, i have no problem to execute dm list command

From rescue mode :
bash-3.2# ./test
/bin/echo  'Loading dm-mod.ko module'
rmparts sde
create nvidia_ajajcgcb
part nvidia_ajajcgcb
create nvidia_ajajcgcbp5
create nvidia_ajajcgcbp4
device-mapper: table ioctl failed: No such device or address
part nvidia_ajajcgcbp4
create nvidia_ajajcgcbp3
part nvidia_ajajcgcbp3
create nvidia_ajajcgcbp2
create nvidia_ajajcgcbp1
bash-3.2# 
Comment 6 Bug Zapper 2008-11-26 03:53:40 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 02:30:57 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.